package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Comboitem;
import org.zkoss.zul.ComboitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Ruta;

public class MyComboRutaRenderer implements ComboitemRenderer {
	@Override
	public void render(Comboitem item, Object data) throws Exception {
		Ruta ruta = (Ruta) data;
		item.setLabel(buscarDescricaoComboRuta(ruta));
		item.setValue(data);
	}

	public static String buscarDescricaoComboRuta(Ruta ruta) {
			return buscarInformacaoTratada(ruta.getRutaId().toString()) 
				+ buscarInformacaoTratada(ruta.getNumRuta()) 
				+ buscarInformacaoTratada(ruta.getDescruta()) 
				+ buscarInformacaoTratada(ruta.getClaseServicio()!= null ? ruta.getClaseServicio().getDescclase(): null) 
				+ (ruta.getIndSentidoIda()!= null ?
						(ruta.getIndSentidoIda() ? Labels.getLabel("editarCatalogoDeRutaController.radIda.value") : Labels.getLabel("editarCatalogoDeRutaController.radVolta.value")):"");
	}
	
	public static String buscarInformacaoTratada(String info) {
		return info!= null ? info + " - ": "";
	}
}
